# Class ProfileController

#### Hierarchy

- ProfileController

- Defined in src/profile/component.js:170

#####
Index

### Properties

$element_
$filter_
$http_
$scope_
active
currentPoint
getMapFn
getOptionsFn
gettextCatalog_
gmfProfileJsonUrl_
isErrored
isLoading
layersNames_
line
map_
measureTooltipElement_
measureTooltip_
nbPoints_
ngeoCsvDownload_
ngeoOptions
options
pointHoverOverlay_
pointerMoveKey_
profileData
profileHighlight
profileLabels_
profileOptions
snappedPoint_

### Methods

$onInit
createMeasureTooltip_
downloadCsv
getDist_
getDistanceOnALine_
getJsonProfile_
getLayersNames
getProfileDataError_
getProfileDataSuccess_
getStyle
getTooltipHTML_
getZFactory_
hoverCallback_
outCallback_
removeMeasureTooltip_
updateEventsListening_
update_

## Properties

### $element_

$element_: JQuery<HTMLElement>

- Defined in src/profile/component.js:196

### $filter_

$filter_: IFilterService

- Defined in src/profile/component.js:201

### $http_

$http_: IHttpService

- Defined in src/profile/component.js:191

### $scope_

$scope_: IScope

- Defined in src/profile/component.js:186

### active

active: boolean

- Defined in src/profile/component.js:298
- Defined in src/profile/component.js:390

### currentPoint

currentPoint: ProfileHoverPointInformations

- Defined in src/profile/component.js:251

### getMapFn

getMapFn: (() => Map)

#### Type declaration

- - (): Map

  - #### Returns Map

- Defined in src/profile/component.js:318

### getOptionsFn

getOptionsFn: (() => {})

#### Type declaration

- - (): {}

  - #### Returns {}

- Defined in src/profile/component.js:319

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/profile/component.js:206

### gmfProfileJsonUrl_

gmfProfileJsonUrl_: string

- Defined in src/profile/component.js:216

### isErrored

isErrored: boolean

- Defined in src/profile/component.js:308
- Defined in src/profile/component.js:384
- Defined in src/profile/component.js:685

### isLoading

isLoading: boolean

- Defined in src/profile/component.js:313
- Defined in src/profile/component.js:645
- Defined in src/profile/component.js:675
- Defined in src/profile/component.js:684

### layersNames_

layersNames_: string[]

- Defined in src/profile/component.js:231

### line

line: LineString

- Defined in src/profile/component.js:241

### map_

map_: Map

- Defined in src/profile/component.js:226
- Defined in src/profile/component.js:348

### measureTooltipElement_

measureTooltipElement_: HTMLElement

The measure tooltip element.

- Defined in src/profile/component.js:274
- Defined in src/profile/component.js:548
- Defined in src/profile/component.js:573

### measureTooltip_

measureTooltip_: Overlay

Overlay to show the measurement.

- Defined in src/profile/component.js:267
- Defined in src/profile/component.js:550

### nbPoints_

nbPoints_: number

- Defined in src/profile/component.js:236
- Defined in src/profile/component.js:349

### ngeoCsvDownload_

ngeoCsvDownload_: DownloadCsvService

- Defined in src/profile/component.js:221

### ngeoOptions

ngeoOptions: ngeoProfileOptions

- Defined in src/profile/component.js:181

### options

options: any

- Defined in src/profile/component.js:180

### pointHoverOverlay_

pointHoverOverlay_: FeatureOverlay

- Defined in src/profile/component.js:211

### pointerMoveKey_

pointerMoveKey_: EventsKey

- Defined in src/profile/component.js:303
- Defined in src/profile/component.js:399

### profileData

profileData: ProfileElement[]

- Defined in src/profile/component.js:246
- Defined in src/profile/component.js:388
- Defined in src/profile/component.js:676

### profileHighlight

profileHighlight: number

Distance to highlight on the profile. (Property used in ngeo.Profile.)

- Defined in src/profile/component.js:260
- Defined in src/profile/component.js:424
- Defined in src/profile/component.js:426

### profileLabels_

profileLabels_: I18n

- Defined in src/profile/component.js:285

### profileOptions

profileOptions: ProfileOptions<ProfileElement>

- Defined in src/profile/component.js:293
- Defined in src/profile/component.js:364

### snappedPoint_

snappedPoint_: Feature<Geometry>

- Defined in src/profile/component.js:279

## Methods

### $onInit

- $onInit(): void

- Init the controller

  #### Returns void

  - Defined in src/profile/component.js:347

### createMeasureTooltip_

- createMeasureTooltip_(): void

- Creates a new 'hover' tooltip

  #### Returns void

  - Defined in src/profile/component.js:543

### downloadCsv

- downloadCsv(): void

- Request the csv profile with the current profile data.

  #### Returns void

  - Defined in src/profile/component.js:692

### getDist_

- getDist_(item: ProfileElement): number

- Extractor for the 'dist' value in profileData.

  ### Returns

  The distance.

  #### Parameters

  - ##### item: ProfileElement

    The item.

  #### Returns number

  - Defined in src/profile/component.js:630

### getDistanceOnALine_

- getDistanceOnALine_(pointOnLine: Coordinate): number

- Return the distance between the beginning of the line and the given point. The point must be on the line. If not, this function will return the total length of the line.

  ### Returns

  A distance.

  #### Parameters

  - ##### pointOnLine: Coordinate

    A point on the given line.

  #### Returns number

  - Defined in src/profile/component.js:447

### getJsonProfile_

- getJsonProfile_(): void

- Request the profile.

  #### Returns void

  - Defined in src/profile/component.js:640

### getLayersNames

- getLayersNames(): string[]

- Return a copy of the existing layer names.

  ### Returns

  The names of layers.

  #### Returns string[]

  - Defined in src/profile/component.js:599

### getProfileDataError_

- getProfileDataError_(resp: IHttpResponse<never>): void

- #### Parameters

  - ##### resp: IHttpResponse<never>

    Response.

  #### Returns void

  - Defined in src/profile/component.js:683

### getProfileDataSuccess_

- getProfileDataSuccess_(resp: IHttpResponse<ProfileServiceResult>): void

- #### Parameters

  - ##### resp: IHttpResponse<ProfileServiceResult>

    Response.

  #### Returns void

  - Defined in src/profile/component.js:672

### getStyle

- getStyle(layerName: string): object

- Return the styler value of a ProfileLineConfiguration.

  ### Returns

  The object representation of the style.

  #### Parameters

  - ##### layerName: string

    name of the elevation layer.

  #### Returns object

  - Defined in src/profile/component.js:584

### getTooltipHTML_

- getTooltipHTML_(): string

- ### Returns

  A text formatted to a tooltip.

  #### Returns string

  - Defined in src/profile/component.js:519

### getZFactory_

- getZFactory_(layerName: string): ((arg0: ProfileElement) => number)

- ### Returns

  Z extractor function.

  #### Parameters

  - ##### layerName: string

    name of the elevation layer.

  #### Returns ((arg0: ProfileElement) => number)

  - - (arg0: ProfileElement): number

    - #### Parameters

      - ##### arg0: ProfileElement

      #### Returns number

  - Defined in src/profile/component.js:607

### hoverCallback_

- hoverCallback_(pointObject: unknown, dist: number, xUnits: string, elevationsRef: Object, yUnits: string): void

- #### Parameters

  - ##### pointObject: unknown

    Point.

  - ##### dist: number

    distance on the line.

  - ##### xUnits: string

    X units label.

  - ##### elevationsRef: Object

    Elevations references.

  - ##### yUnits: string

    Y units label.

  #### Returns void

  - Defined in src/profile/component.js:484

### outCallback_

- outCallback_(): void

- #### Returns void

  - Defined in src/profile/component.js:503

### removeMeasureTooltip_

- removeMeasureTooltip_(): void

- Destroy the 'hover' tooltip

  #### Returns void

  - Defined in src/profile/component.js:561

### updateEventsListening_

- updateEventsListening_(): void

- #### Returns void

  - Defined in src/profile/component.js:397

### update_

- update_(): void

- #### Returns void

  - Defined in src/profile/component.js:383

Generated using TypeDoc